#-------------------------------------------------------------------------------
# Name:        PyTt
# Purpose:     control a Triggertrap Mobile dongle in Python
#
# Author:      Marco Pontello
#
# Created:     14/03/20123
# Copyright:   (c) Marco Pontello 2013
# Licence:     Public domain
#
# Version:     1.02
#-------------------------------------------------------------------------------
#!/usr/bin/env python


import pygame
from time import time, clock, sleep, strftime

class Trigger(object):
    """ Control a Triggertrap mobile dongle trough sounds """
    def __init__(self):
        pygame.mixer.pre_init(44100, -16, 2, 2048)
        pygame.mixer.init()
        self.shutter_sound = pygame.mixer.Sound("tt-s-10.wav")
        self.shutter_sound_len = self.shutter_sound.get_length() * 1000
        self.focus_sound = pygame.mixer.Sound("tt-f-10.wav")
        self.focus_sound_len = self.focus_sound.get_length()* 1000
    def shutter(self, dur):
        """ Trigger camera shutter. Duration in 1/1000 s."""
        self.shutter_sound.play(int(dur / self.shutter_sound_len))
    def focus(self, dur):
        """ Trigger camera focus. Duration in 1/1000 s."""
        self.focus_sound.play(int(dur / self.shutter_sound_len))

def main():
    print "ttpc - Triggertrap PC test!"

    tt = Trigger()
    tt.shutter(10)

    sleep(.5)

if __name__ == "__main__":
    main()
